Bug 211483 - lftp - Segmentation faults and other problems
lftp - Segmentation faults and other problems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lftp (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Maros Barabas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 13:41 EDT by Dams
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 06:00:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full stack trace (from previous comment) (3.98 KB, text/plain)
2006-12-13 21:40 EST, Jose Pedro Oliveira
no flags Details

  None (edit)
Description Dams 2006-10-19 13:41:30 EDT
Description of problem:
After some times, I've been disconnected from an ftp server on an open lftp
session. I was doing "cd .." and lftp dumped while trying to reconnect.

Version-Release number of selected component (if applicable):
lftp(0:3.5.1-2.fc6).x86_64
How reproducible: it has happend several times. I *believe* it was under the
same circumstances. Though i cant reproduce it at will.

Additional info: Here's the stack trace from gdb :

Program terminated with signal 11, Segmentation fault.
#0  0x0000003351e3ea70 in Timer::re_sort (this=0x7d4b38) at TimeDate.h:49
49         bool lt(const time_tuple &o) const { return sec<o.sec || (sec==o.sec
&& msec<o.msec); }
(gdb) bt
#0  0x0000003351e3ea70 in Timer::re_sort (this=0x7d4b38) at TimeDate.h:49
#1  0x00002aaaae1e110e in Ftp::FlushSendQueue (this=0x7d4920, all=false) at
ftpclass.cc:3054
#2  0x00002aaaae1e61fd in Ftp::Do (this=0x7d4920) at ftpclass.cc:1432
#3  0x0000003351e210df in SMTask::Schedule () at SMTask.cc:234
#4  0x0000003351a1d2bf in Job::WaitDone (this=0x6161e0) at Job.cc:556
#5  0x0000000000405777 in main (argc=1, argv=0x7fff42b93ce8) at lftp.cc:486
#6  0x000000335261da44 in __libc_start_main () from /lib64/libc.so.6
#7  0x0000000000404d29 in _start ()

I'll keep the core for some times, so if you want some more details, i can paste
them. Though I was connected to a private ftp server, with personal account, and
the password lies into that dumped core, so I unfortunately wont make it public.

Upstream has a 3.5.6 release, which has several bug/crash fixes. (cannot tell if
the problem will disappear though..)
Comment 1 Jose Pedro Oliveira 2006-12-08 13:29:45 EST
I have also seen several lftp-3.5.1 double-free crashes in i386 systems but I am
also unable to reproduce them (they usually happpened when lftp was being
closed, ie, after a quit/exit/bye command).

jpo

PS - Would it be possible to update the lftp version in rawhide to 3.5.6 ?
     Changelog (short): http://lftp.yar.ru/news.html
Comment 2 Jose Pedro Oliveira 2006-12-13 21:38:00 EST
Changed the summary and hardware tags.


Finally caught a stack trace produced by lftp-3.5.1-2.fc6 in a i386 system:
----------
...
lftp blackadder:/pub/linguas/new4> exit
*** glibc detected *** lftp: free(): invalid pointer: 0x097dea98 ***
======= Backtrace: =========
/lib/libc.so.6[0x4c928efd]
/lib/libc.so.6(cfree+0x90)[0x4c92c550]
/usr/lib/liblftp-tasks.so.0(_Z5xfreePv+0x28)[0x433ebb58]
/usr/lib/liblftp-jobs.so.0(_ZN10KeyValueDB4PairD0Ev+0x30)[0x4344a690]
/usr/lib/liblftp-jobs.so.0(_ZN10KeyValueDBD0Ev+0x3e)[0x4344a73e]
/usr/lib/liblftp-jobs.so.0(_ZN7HistoryD1Ev+0x38)[0x4344a478]
/usr/lib/liblftp-jobs.so.0[0x43438670]
/lib/libc.so.6(__cxa_finalize+0xa9)[0x4c8eebe9]
/usr/lib/liblftp-jobs.so.0[0x43432673]
/usr/lib/liblftp-jobs.so.0[0x434599dc]
/lib/ld-linux.so.2[0x4c8b4572]
/lib/libc.so.6(exit+0xe9)[0x4c8ee939]
/lib/libc.so.6(__libc_start_main+0xe4)[0x4c8d8f34]
lftp[0x804b801]
======= Memory map: ========
002ce000-002cf000 r-xp 002ce000 00:00 0          [vdso]
00aa1000-00abb000 r-xp 00000000 03:02 4670582   
/usr/lib/lftp/3.5.1/liblftp-network.so
00abb000-00abc000 rwxp 0001a000 03:02 4670582   
/usr/lib/lftp/3.5.1/liblftp-network.so
00abc000-00ac1000 rwxp 00abc000 00:00 0
00b1f000-00b3f000 r-xp 00000000 03:02 4670586    /usr/lib/lftp/3.5.1/proto-ftp.so
00b3f000-00b40000 rwxp 00020000 03:02 4670586    /usr/lib/lftp/3.5.1/proto-ftp.so
08048000-08051000 r-xp 00000000 03:02 4251536    /usr/bin/lftp
08051000-08057000 rwxp 00008000 03:02 4251536    /usr/bin/lftp
09770000-09806000 rwxp 09770000 00:00 0
432c5000-432d0000 r-xp 00000000 03:02 652985     /lib/libgcc_s-4.1.1-20061011.so.1
...
----------

jpo
Comment 3 Jose Pedro Oliveira 2006-12-13 21:40:13 EST
Created attachment 143590 [details]
Full stack trace (from previous comment)
Comment 4 Jose Pedro Oliveira 2006-12-13 21:45:29 EST
Increased the severity to high.

The following steps also cause a segmentation fault:

  1) establish a http connection to a website
     for example:
     
          lftp http://www.redhat.com

  2) execute the following command

          lftp www.redhat.com:/> ls ..

  
Comment 5 Jose Pedro Oliveira 2007-01-04 15:25:15 EST
knock, knock!
Comment 6 Maros Barabas 2007-01-05 06:38:11 EST
I'll update rawhide to 3.5.6 ( it can take a while ). We will see, if this
problem is fixed.
Comment 7 Jose Pedro Oliveira 2007-01-06 12:27:27 EST
(In reply to comment #6)
> I'll update rawhide to 3.5.6 ( it can take a while ). We will see, if this
> problem is fixed.

Thanks. The update should be simple.
Excluding the obvious changes to the specfile (version, release, changelog)
I only had to:

  i) add a new file to the %files section,
 
     %{_libdir}/lftp/%{version}/liblftp-getdate.so

 ii) drop a couple of BR, and

     autoconf and automake

iii) drop the explicit perl-String-CRC32 requirement
     (the dependency is automatically discovered as perl(String::CRC32))

jpo
Comment 8 Jose Pedro Oliveira 2007-01-16 10:08:36 EST
FYI: Version 3.5.9 has been released last week.

* News
  http://lftp.yar.ru/news.html

* Download
  http://ftp.yars.free.net/pub/source/lftp/lftp-3.5.9.tar.bz2
Comment 9 Maros Barabas 2007-01-19 05:08:51 EST
New version 3.5.9 is in rawhide. Please test the package. Thanks 
Comment 10 Dams 2007-01-20 15:25:44 EST
Cannot rebuild it on core 6/x86_64 :

+ /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-buildroot
[snip noise]
ERROR   0001: file '/usr/lib64/lftp/3.5.9/proto-sftp.so' contains a standard
rpath '/usr/lib' in [/usr/lib64/lftp/3.5.9:/usr/lib]
ERROR   0001: file '/usr/lib64/lftp/3.5.9/proto-fish.so' contains a standard
rpath '/usr/lib' in [/usr/lib64/lftp/3.5.9:/usr/lib]
ERROR   0001: file '/usr/lib64/lftp/3.5.9/proto-ftp.so' contains a standard
rpath '/usr/lib' in [/usr/lib64/lftp/3.5.9:/usr/lib]
ERROR   0001: file '/usr/lib64/lftp/3.5.9/liblftp-network.so' contains a
standard rpath '/usr/lib' in [/usr/lib]
ERROR   0001: file '/usr/lib64/lftp/3.5.9/proto-http.so' contains a standard
rpath '/usr/lib' in [/usr/lib64/lftp/3.5.9:/usr/lib]
Comment 11 Jose Pedro Oliveira 2007-01-20 19:08:23 EST
Similar rpath problems in FC6 x86_32

$ rpmbuild -ba lftp.spec
------------------------
...
+ /usr/lib/rpm/check-rpaths
...
ERROR   0001: file '/usr/lib/lftp/3.5.9/proto-sftp.so' contains a standard rpath
'/usr/lib' in [/usr/lib/lftp/3.5.9:/usr/lib]
ERROR   0001: file '/usr/lib/lftp/3.5.9/liblftp-network.so' contains a standard
rpath '/usr/lib' in [/usr/lib]
ERROR   0001: file '/usr/lib/lftp/3.5.9/proto-http.so' contains a standard rpath
'/usr/lib' in [/usr/lib/lftp/3.5.9:/usr/lib]
ERROR   0001: file '/usr/lib/lftp/3.5.9/proto-fish.so' contains a standard rpath
'/usr/lib' in [/usr/lib/lftp/3.5.9:/usr/lib]
ERROR   0001: file '/usr/lib/lftp/3.5.9/proto-ftp.so' contains a standard rpath
'/usr/lib' in [/usr/lib/lftp/3.5.9:/usr/lib]
----------


rpmlint output after building lftp with the rpath tests disabled
$ QA_RPATHS=$[ 0x0001 ] rpmbuild -ba lftp.spec
...
$ rpmlint ../RPMS/i386/lftp-3.5.9-1.i386.rpm
--------------------------------------------
W: lftp incoherent-version-in-changelog 3.5.9 3.5.9-1
E: lftp binary-or-shlib-defines-rpath /usr/lib/lftp/3.5.9/proto-sftp.so
['/usr/lib/lftp/3.5.9', '/usr/lib']
E: lftp binary-or-shlib-defines-rpath /usr/lib/lftp/3.5.9/liblftp-network.so
['/usr/lib']
E: lftp binary-or-shlib-defines-rpath /usr/lib/lftp/3.5.9/proto-http.so
['/usr/lib/lftp/3.5.9', '/usr/lib']
E: lftp binary-or-shlib-defines-rpath /usr/lib/lftp/3.5.9/proto-fish.so
['/usr/lib/lftp/3.5.9', '/usr/lib']
E: lftp binary-or-shlib-defines-rpath /usr/lib/lftp/3.5.9/proto-ftp.so
['/usr/lib/lftp/3.5.9', '/usr/lib']
W: lftp conffile-without-noreplace-flag /etc/lftp.conf
W: lftp devel-file-in-non-devel-package /usr/lib/liblftp-jobs.so
W: lftp devel-file-in-non-devel-package /usr/lib/liblftp-tasks.so
E: lftp library-without-ldconfig-postin /usr/lib/liblftp-jobs.so.0.0.0
E: lftp library-without-ldconfig-postun /usr/lib/liblftp-jobs.so.0.0.0
E: lftp library-without-ldconfig-postin /usr/lib/liblftp-tasks.so.0.0.0
E: lftp library-without-ldconfig-postun /usr/lib/liblftp-tasks.so.0.0.0
----------

Comment 12 Stephen John Smoogen 2007-01-27 13:10:10 EST
Way to replicate at least one bug.

1) Have a big empty disk
2) lftp archive.download.rpm
3) cd /pub/redhat
4) mirror

lftp archive.download.redhat.com:/pub/redhat> mirror
*** glibc detected *** lftp: free(): invalid pointer: 0x098cec6c ***           
======= Backtrace: =========
/lib/libc.so.6[0x4f96009d]
/lib/libc.so.6(cfree+0x90)[0x4f9636f0]
/usr/lib/liblftp-tasks.so.0(_Z5xfreePv+0x28)[0x4fae7b58]
/usr/lib/liblftp-tasks.so.0(_ZN10FileAccessD2Ev+0x2c)[0x4fada3fc]
/usr/lib/lftp/3.5.1/liblftp-network.so(_ZN9NetAccessD2Ev+0xd0)[0x119b90]
/usr/lib/lftp/3.5.1/proto-ftp.so(_ZN3FtpD0Ev+0xe9)[0xc483b9]
/usr/lib/liblftp-tasks.so.0(_ZN6SMTask6DeleteEPS_+0x29)[0x4fad5579]
/usr/lib/liblftp-tasks.so.0(_ZN11SessionPool5ReuseEP10FileAccess+0xe3)[0x4fadc9a3]
/usr/lib/liblftp-tasks.so.0(_ZN14FileCopyPeerFAD0Ev+0xa5)[0x4fae5785]
/usr/lib/liblftp-tasks.so.0(_ZN6SMTask6DeleteEPS_+0x29)[0x4fad5579]
/usr/lib/liblftp-tasks.so.0(_ZN8FileCopyD0Ev+0x41)[0x4fae51b1]
/usr/lib/liblftp-tasks.so.0(_ZN6SMTask6DeleteEPS_+0x29)[0x4fad5579]
/usr/lib/liblftp-jobs.so.0(_ZN7CopyJobD0Ev+0x30)[0x4fa97dd0]
/usr/lib/liblftp-tasks.so.0(_ZN6SMTask6DeleteEPS_+0x29)[0x4fad5579]
/usr/lib/lftp/3.5.1/cmd-mirror.so(_ZN9MirrorJob2DoEv+0x489)[0xf98ce9]
/usr/lib/liblftp-tasks.so.0(_ZN6SMTask8ScheduleEv+0xbc)[0x4fad613c]
/usr/lib/liblftp-jobs.so.0(_ZN3Job8WaitDoneEv+0x2d)[0x4fa7ca2d]
lftp[0x804c37f]
/lib/libc.so.6(__libc_start_main+0xdc)[0x4f90ff2c]
lftp[0x804b801]
======= Memory map: ========
00110000-0012a000 r-xp 00000000 fd:00 1810877   
/usr/lib/lftp/3.5.1/liblftp-network.so
0012a000-0012b000 rwxp 0001a000 fd:00 1810877   
/usr/lib/lftp/3.5.1/liblftp-network.so
0012b000-00130000 rwxp 0012b000 00:00 0 
00130000-00142000 r-xp 00000000 fd:00 1519260    /usr/lib/libz.so.1.2.3
00142000-00143000 rwxp 00011000 fd:00 1519260    /usr/lib/libz.so.1.2.3
00390000-00399000 r-xp 00000000 fd:00 1998888    /lib/libnss_files-2.5.so
00399000-0039a000 r-xp 00008000 fd:00 1998888    /lib/libnss_files-2.5.so
0039a000-0039b000 rwxp 00009000 fd:00 1998888    /lib/libnss_files-2.5.so
00a82000-00a83000 r-xp 00a82000 00:00 0          [vdso]
00b89000-00b9a000 r-xp 00000000 fd:00 1810879    /usr/lib/lftp/3.5.1/proto-file.so
00b9a000-00b9b000 rwxp 00011000 fd:00 1810879    /usr/lib/lftp/3.5.1/proto-file.so
00b9b000-00b9f000 rwxp 00b9b000 00:00 0 
00c39000-00c59000 r-xp 00000000 fd:00 1810881    /usr/lib/lftp/3.5.1/proto-ftp.so
00c59000-00c5a000 rwxp 00020000 fd:00 1810881    /usr/lib/lftp/3.5.1/proto-ftp.so
00f8f000-00fa4000 r-xp 00000000 fd:00 1810875    /usr/lib/lftp/3.5.1/cmd-mirror.so
00fa4000-00fa5000 rwxp 00015000 fd:00 1810875    /usr/lib/lftp/3.5.1/cmd-mirror.so
00fa5000-00fa9000 rwxp 00fa5000 00:00 0 
08048000-08051000 r-xp 00000000 fd:00 1523170    /usr/bin/lftp
08051000-08057000 rwxp 00008000 fd:00 1523170    /usr/bin/lftp
098c3000-09cfc000 rwxp 098c3000 00:00 0 
4146c000-4147b000 r-xp 00000000 fd:00 2000223    /lib/libresolv-2.5.so
4147b000-4147c000 r-xp 0000e000 fd:00 2000223    /lib/libresolv-2.5.so
4147c000-4147d000 rwxp 0000f000 fd:00 2000223    /lib/libresolv-2.5.so
4147d000-4147f000 rwxp 4147d000 00:00 0 
41481000-4159d000 r-xp 00000000 fd:00 2000225    /lib/libcrypto.so.0.9.8b
4159d000-415af000 rwxp 0011c000 fd:00 2000225    /lib/libcrypto.so.0.9.8b
415af000-415b3000 rwxp 415af000 00:00 0 
415ce000-415d0000 r-xp 00000000 fd:00 2000224    /lib/libcom_err.so.2.1
415d0000-415d1000 rwxp 00001000 fd:00 2000224    /lib/libcom_err.so.2.1
415d3000-415da000 r-xp 00000000 fd:00 1525429    /usr/lib/libkrb5support.so.0.1
415da000-415db000 rwxp 00006000 fd:00 1525429    /usr/lib/libkrb5support.so.0.1
4162f000-4166f000 r-xp 00000000 fd:00 1532859    /usr/lib/libncurses.so.5.5
4166f000-41677000 rwxp 00040000 fd:00 1532859    /usr/lib/libncurses.so.5.5
41677000-41678000 rwxp 41677000 00:00 0 
41f4d000-41f7c000 r-xp 00000000 fd:00 1534154    /usr/lib/libreadline.so.5.1
41f7c000-41f80000 rwxp 0002f000 fd:00 1534154    /usr/lib/libreadline.so.5.1
41f80000-41f81000 rwxp 41f80000 00:00 0 
41ff7000-4201c000 r-xp 00000000 fd:00 1538280    /usr/lib/libk5crypto.so.3.0
4201c000-4201d000 rwxp 00025000 fd:00 1538280    /usr/lib/libk5crypto.so.3.0
42038000-420bc000 r-xp 00000000 fd:00 1538281    /usr/lib/libkrb5.so.3.2
420bc000-420be000 rwxp 00084000 fd:00 1538281    /usr/lib/libkrb5.so.3.2
420c0000-420ea000 r-xp 00000000 fd:00 1538282    /usr/lib/libgssapi_krb5.so.2.2
420ea000-420eb000 rwxp 00029000 fd:00 1538282    /usr/lib/libgssapi_krb5.so.2.2
420ed000-4212e000 r-xp 00000000 fd:00 2000226    /lib/libssl.so.0.9.8b
4212e000-42132000 rwxp 00040000 fd:00 2000226    /lib/libssl.so.0.9.8b
423b3000-423b5000 r-xp 00000000 fd:00 2000233    /lib/libutil-2.5.so
423b5000-423b6000 r-xp 00001000 fd:00 2000233    /lib/libutil-2.5.so
423b6000-423b7000 rwxp 00002000 fd:00 2000233    /lib/libutil-2.5.so
4f8dd000-4f8f6000 r-xp 00000000 fd:00 1998887    /lib/ld-2.5.so
4f8f6000-4f8f7000 r-xp 00018000 fd:00 1998887    /lib/ld-2.5.so
4f8f7000-4f8f8000 rwxp 00019000 fd:00 1998887    /lib/ld-2.5.so
4f8fa000-4fa31000 r-xp 00000000 fd:00 1998889    /lib/libc-2.5.so
4fa31000-4fa33000 r-xp 00137000 fd:00 1998889    /lib/libc-2.5.so
4fa33000-4fa34000 rwxp 00139000 fd:00 1998889    /lib/libc-2.5.so
4fa34000-4fa37000 rwxp 4fa34000 00:00 0 
4fa39000-4fa5e000 r-xp 00000000 fd:00 2000220    /lib/libm-2.5.so
4fa5e000-4fa5f000 r-xp 00024000 fd:00 2000220    /lib/libm-2.5.so
4fa5f000-4fa60000 rwxp 00025000 fd:00 2000220    /lib/libm-2.5.so
4fa62000-4fa64000 r-xp 00000000 fd:00 1998942    /lib/libdl-2.5.so
4fa64000-4fa65000 r-xp 00001000 fd:00 1998942    /lib/libdl-2.5.so
4fa65000-4fa66000 rwxp 00002000 fd:00 1998942    /lib/libdl-2.5.so
4fa68000-4fab2000 r-xp 00000000 fd:00 1516098    /usr/lib/liblftp-jobs.so.0.0.0
4fab2000-4fab7000 rwxp 00049000 fd:00 1516098    /usr/lib/liblftp-jobs.so.0.0.0
4fab7000-4fabb000 rwxp 4fab7000 00:00 0 
4fabd000-4fb10000 r-xp 00000000 fd:00 1521453    /usr/lib/liblftp-tasks.so.0.0.0
4fb10000-4fb13000 rwxp 00053000 fd:00 1521453    /usr/lib/liblftp-tasks.so.0.0.0
4fb13000-4fb18000 rwxp 4fb13000 00:00 0 
4fdd2000-4fddd000 r-xp 00000000 fd:00 1999046    /lib/libgcc_s-4.1.1-20070105.so.1
4fddd000-4fdde000 rwxp 0000a000 fd:00 1999046    /lib/libgcc_s-4.1.1-20070105.so.1
4fe07000-4fee7000 r-xp 00000000 fd:00 1515353    /usr/lib/libstdc++.so.6.0.8
4fee7000-4feea000 r-xp 000e0000 fd:00 1515353    /usr/lib/libstdc++.so.6.0.8
4feea000-4feec000 rwxp 000e3000 fd:00 1515353    /usr/lib/libstdc++.so.6.0.8
4feec000-4fef2000 rwxp 4feec000 00:00 0 
b7e00000-b7e21000 rw-p b7e00000 00:00 0 
b7e21000-b7f00000 ---p b7e21000 00:00 0 
b7f76000-b7f79000 rw-p b7f76000 00:00 0 
b7f8c000-b7f8d000 rw-p b7f8c000 00:00 0 
b7f8d000-b7f94000 r--s 00000000 fd:00 1515850    /usr/lib/gconv/gconv-modules.cache
b7f94000-b7f95000 rw-p b7f94000 00:00 0 
bff8d000-bffa3000 rw-p bff8d000 00:00 0          [stack]
Aborted

Done twice.. going to install the debuginfo and attach a gdb.
Comment 13 Jose Pedro Oliveira 2007-01-27 13:22:31 EST
Stephen,

Could you try with version 3.5.9?
It's available in rawhide.

jpo
Comment 14 Stephen John Smoogen 2007-01-29 12:23:58 EST
Sorry for the delay.. it didnt seg-v for a bit but GDB finally caught it

Program received signal SIGSEGV, Segmentation fault.
0x4faf7e9c in Timer::re_sort (this=0x91538ec) at TimeDate.h:49
49         bool lt(const time_tuple &o) const { return sec<o.sec || (sec==o.sec
&& msec<o.msec); }
(gdb) where
#0  0x4faf7e9c in Timer::re_sort (this=0x91538ec) at TimeDate.h:49
#1  0x4faf82e3 in Timer::Reset (this=0x91538ec, t=@0x4fb12d80) at Timer.cc:66
#2  0x4faf8738 in Timer::SetResource (this=0x92641dc, r=0x4fb03533
"cmd:status-interval", c=0x0) at Timer.h:59
#3  0x4faef9e7 in StatusLine::update (this=0x91538b0, newstr=0xbfba4850,
newstr_height=1) at StatusLine.cc:259
#4  0x4faefb88 in StatusLine::ShowN (this=0x91538b0, newstr=0xbfba4850, n=1) at
StatusLine.cc:132
#5  0x4faefddb in StatusLine::Show (this=0x91538b0, f=0x4faa95c8 "%s") at
StatusLine.cc:114
#6  0x4fa9841d in CopyJob::ShowRunStatus (this=0x91e9860, s=0x91538b0) at
CopyJob.cc:102
#7  0x4fa7cacd in Job::ShowRunStatus (this=0x9199b98, sl=0x91538b0) at Job.cc:523
#8  0x00564ccc in MirrorJob::ShowRunStatus (this=0x9199b98, s=0x91538b0) at
MirrorJob.cc:135
#9  0x4fa7cacd in Job::ShowRunStatus (this=0x9183c88, sl=0x91538b0) at Job.cc:523
#10 0x00564ccc in MirrorJob::ShowRunStatus (this=0x9183c88, s=0x91538b0) at
MirrorJob.cc:135
#11 0x4fa7cacd in Job::ShowRunStatus (this=0x917e380, sl=0x91538b0) at Job.cc:523
#12 0x00564ccc in MirrorJob::ShowRunStatus (this=0x917e380, s=0x91538b0) at
MirrorJob.cc:135
#13 0x4fa7cacd in Job::ShowRunStatus (this=0x921c1a0, sl=0x91538b0) at Job.cc:523
#14 0x00564ccc in MirrorJob::ShowRunStatus (this=0x921c1a0, s=0x91538b0) at
MirrorJob.cc:135
#15 0x4fa7cacd in Job::ShowRunStatus (this=0x944ce40, sl=0x91538b0) at Job.cc:523
#16 0x00564ccc in MirrorJob::ShowRunStatus (this=0x944ce40, s=0x91538b0) at
MirrorJob.cc:135
#17 0x4fa7cacd in Job::ShowRunStatus (this=0x91d9f60, sl=0x91538b0) at Job.cc:523
#18 0x00564ccc in MirrorJob::ShowRunStatus (this=0x91d9f60, s=0x91538b0) at
MirrorJob.cc:135
#19 0x4fa7cacd in Job::ShowRunStatus (this=0x917d9a0, sl=0x91538b0) at Job.cc:523
#20 0x00564ccc in MirrorJob::ShowRunStatus (this=0x917d9a0, s=0x91538b0) at
MirrorJob.cc:135
#21 0x4fa7cacd in Job::ShowRunStatus (this=0x9148770, sl=0x91538b0) at Job.cc:523
#22 0x4fa7fd91 in CmdExec::ShowRunStatus (this=0x9148770, s=0x91538b0) at
CmdExec.cc:718
#23 0x4fa816b6 in CmdExec::Do (this=0x9148770) at CmdExec.cc:592
#24 0x4fad613c in SMTask::Schedule () at SMTask.cc:234
#25 0x4fa7ca2d in Job::WaitDone (this=0x9148770) at Job.cc:556
#26 0x0804c37f in main (argc=2, argv=0xbfba5514) at lftp.cc:486
#27 0x4f90ff2c in __libc_start_main () from /lib/libc.so.6
#28 0x0804b801 in _start ()
Comment 15 Philippe Rigault 2007-02-21 09:31:53 EST
I can confirm that the the bug is fixed in lftp-3.5.9-1

Tested on FC6
RPM built from lftp-3.5.9-1.fc7.src.rpm

===============  BEFORE =============== 
$ rpm -q lftp
lftp-3.5.1-2.fc6
$ lftp
lftp :~> open ftp.ncbi.nih.gov:/genbank
cd ok, cwd=/genbank
lftp ftp.ncbi.nih.gov:/genbank> mget gbrel.txt gbp*gz
4801187631 bytes transferred in 2160 seconds (2.12M/s)
Total 86 files transferred
*** glibc detected *** lftp: corrupted double-linked list: 0x0000000000696670 
***
======= Backtrace: =========
/lib64/libc.so.6[0x3a08a6e8b5]
/lib64/libc.so.6(cfree+0x8c)[0x3a08a7217c]
/usr/lib64/liblftp-tasks.so.0(_ZN20FileCopyPeerFDStreamD0Ev+0x71)
[0x3110c2e511]
/usr/lib64/liblftp-tasks.so.0(_ZN8FileCopyD0Ev+0x61)[0x3110c2e5a1]
/usr/lib64/liblftp-jobs.so.0(_ZN7CopyJobD0Ev+0x1b)[0x311083536b]
/usr/lib64/liblftp-tasks.so.0(_ZN6SMTask14CollectGarbageEv+0x4e)[0x3110c20d6e]
/usr/lib64/liblftp-tasks.so.0(_ZN6SMTask8ScheduleEv+0xde)[0x3110c2110e]
/usr/lib64/liblftp-jobs.so.0(_ZN3Job8WaitDoneEv+0x1f)[0x311081d2bf]
lftp[0x405777]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3a08a1da44]
lftp[0x404d29]
======= Memory map: ========
00400000-0040a000 r-xp 00000000 08:02 
3755822                            /usr/bin/lftp
0060a000-00613000 rw-p 0000a000 08:02 
3755822                            /usr/bin/lftp
00613000-00fdb000 rw-p 00613000 00:00 0                                  
[heap]
3110800000-311084f000 r-xp 00000000 08:02 
3753814                        /usr/lib64/liblftp-jobs.so.0.0.0
311084f000-3110a4e000 ---p 0004f000 08:02 
3753814                        /usr/lib64/liblftp-jobs.so.0.0.0
3110a4e000-3110a54000 rw-p 0004e000 08:02 
3753814                        /usr/lib64/liblftp-jobs.so.0.0.0
3110a54000-3110a65000 rw-p 3110a54000 00:00 0
3110c00000-3110c55000 r-xp 00000000 08:02 
3748141                        /usr/lib64/liblftp-tasks.so.0.0.0
3110c55000-3110e54000 ---p 00055000 08:02 
3748141                        /usr/lib64/liblftp-tasks.so.0.0.0
3110e54000-3110e5b000 rw-p 00054000 08:02 
3748141                        /usr/lib64/liblftp-tasks.so.0.0.0
3110e5b000-3110e6b000 rw-p 3110e5b000 00:00 0
39b4600000-39b4602000 r-xp 00000000 08:02 
1432138                        /lib64/libcom_err.so.2.1
39b4602000-39b4801000 ---p 00002000 08:02 
1432138                        /lib64/libcom_err.so.2.1
39b4801000-39b4802000 rw-p 00001000 08:02 
1432138                        /lib64/libcom_err.so.2.1
39b4a00000-39b4a29000 r-xp 00000000 08:02 
3769552                        /usr/lib64/libgssapi_krb5.so.2.2
39b4a29000-39b4c28000 ---p 00029000 08:02 
3769552                        /usr/lib64/libgssapi_krb5.so.2.2
39b4c28000-39b4c2a000 rw-p 00028000 08:02 
3769552                        /usr/lib64/libgssapi_krb5.so.2.2
39b4e00000-39b4e83000 r-xp 00000000 08:02 
3749198                        /usr/lib64/libkrb5.so.3.2
39b4e83000-39b5083000 ---p 00083000 08:02 
3749198                        /usr/lib64/libkrb5.so.3.2
39b5083000-39b5087000 rw-p 00083000 08:02 
3749198                        /usr/lib64/libkrb5.so.3.2
39b5200000-39b5243000 r-xp 00000000 08:02 
1432140                        /lib64/libssl.so.0.9.8b
39b5243000-39b5443000 ---p 00043000 08:02 
1432140                        /lib64/libssl.so.0.9.8b
39b5443000-39b5449000 rw-p 00043000 08:02 
1432140                        /lib64/libssl.so.0.9.8b
39b8800000-39b884f000 r-xp 00000000 08:02 
3746946                        /usr/lib64/libncurses.so.5.5
39b884f000-39b8a4e000 ---p 0004f000 08:02 
3746946                        /usr/lib64/libncurses.so.5.5
39b8a4e000-39b8a5c000 rw-p 0004e000 08:02 
3746946                        /usr/lib64/libncurses.so.5.5
39b8a5c000-39b8a5d000 rw-p 39b8a5c000 00:00 0
3a08600000-3a0861a000 r-xp 00000000 08:02 
1431997                        /lib64/ld-2.5.so
3a08819000-3a0881a000 r--p 00019000 08:02 
1431997                        /lib64/ld-2.5.so
3a0881a000-3a0881b000 rw-p 0001a000 08:02 
1431997                        /lib64/ld-2.5.so
3a08a00000-3a08b44000 r-xp 00000000 08:02 
1431998                        /lib64/libc-2.5.so
3a08b44000-3a08d44000 ---p 00144000 08:02 
1431998                        /lib64/libc-2.5.so
3a08d44000-3a08d48000 r--p 00144000 08:02 
1431998                        /lib64/libc-2.5.so
3a08d48000-3a08d49000 rw-p 00148000 08:02 
1431998                        /lib64/libc-2.5.so
3a08d49000-3a08d4e000 rw-p 3a08d49000 00:00 0
3a08e00000-3a08e03000 r-xp 00000000 08:02 
1432116                        /lib64/libdl-2.5.so
3a08e03000-3a09002000 ---p 00003000 08:02 
1432116                        /lib64/libdl-2.5.so
3a09002000-3a09003000 r--p 00002000 08:02 
1432116                        /lib64/libdl-2.5.so
3a09003000-3a09004000 rw-p 00003000 08:02 
1432116                        /lib64/libdl-2.5.so
3a09200000-3a09282000 r-xp 00000000 08:02 
1432259                        /lib64/libm-2.5.so
3a09282000-3a09481000 ---p 00082000 08:02 
1432259                        /lib64/libm-2.5.so
3a09481000-3a09482000 r--p 00081000 08:02 
1432259                        /lib64/libm-2.5.so
3a09482000-3a09483000 rw-p 00082000 08:02 
1432259                        /lib64/libm-2.5.so
3a09a00000-3a09a14000 r-xp 00000000 08:02 
3746942                        /usr/lib64/libz.so.1.2.3
3a09a14000-3a09c13000 ---p 00014000 08:02 
3746942                        /usr/lib64/libz.so.1.2.3
3a09c13000-3a09c14000 rw-p 00013000 08:02 
3746942                        /usr/lib64/libz.so.1.2.3
3a09e00000-3a09e35000 r-xp 00000000 08:02 
3754523                        /usr/lib64/libreadline.so.5.1
3a09e35000-3a0a034000 ---p 00035000 08:02 
3754523                        /usr/lib64/libreadline.so.5.1
3a0a034000-3a0a03c000 rw-p 00034000 08:02 
3754523                        /usr/lib64/libreadline.so.5.1
3a0a03c000-3a0a03d000 rw-p 3a0a03c000 00:00 0
3a0de00000-3a0de0d000 r-xp 00000000 08:02 
1432125                        /lib64/libgcc_s-4.1.1-20061011.so.1
3a0de0d000-3a0e00c000 ---p 0000d000 08:02 
1432125                        /lib64/libgcc_s-4.1.1-20061011.so.1
3a0e00c000-3a0e00d000 rw-p 0000c000 08:02 
1432125                        /lib64/libgcc_s-4.1.1-20061011.so.1
3a0e200000-3a0e2e7000 r-xp 00000000 08:02 
3751862                        /usr/lib64/libstdc++.so.6.0.8
3a0e2e7000-3a0e4e7000 ---p 000e7000 08:02 
3751862                        /usr/lib64/libstdc++.so.6.0.8
3a0e4e7000-3a0e4ed000 r--p 000e7000 08:02 
3751862                        /usr/lib64/libstdc++.so.6.0.8
3a0e4ed000-3a0e4f0000 rw-p 000ed000 08:02 
3751862                        /usr/lib64/libstdc++.so.6.0.8
3a0e4f0000-3a0e502000 rw-p 3a0e4f0000 00:00 0
3a10200000-3a10211000 r-xp 00000000 08:02 
1432265                        /lib64/libresolv-2.5.so
3a10211000-3a10411000 ---p 00011000 08:02 
1432265                        /lib64/libresolv-2.5.so
3a10411000-3a10412000 r--p 00011000 08:02 
1432265                        /lib64/libresolv-2.5.so
3a10412000-3a10413000 rw-p 00012000 08:02 
1432265                        /lib64/libresolv-2.5.so
3a10413000-3a10415000 rw-p 3a10413000 00:00 0
3a10e00000-3a10e23000 r-xp 00000000 08:02 
3753413                        /usr/lib64/libk5crypto.so.3.0
3a10e23000-3a11023000 ---p 00023000 08:02 
3753413                        /usr/lib64/libk5crypto.so.3.0
3a11023000-3a11025000 rw-p 00023000 08:02 
3753413                        /usr/lib64/libk5crypto.so.3.0
3a11a00000-3a11b25000 r-xp 00000000 08:02 
1432267                        /lib64/libcrypto.so.0.9.8b
3a11b25000-3a11d24000 ---p 00125000 08:02 
1432267                        /lib64/libcrypto.so.0.9.8b
3a11d24000-3a11d43000 rw-p 00124000 08:02 
1432267                        /lib64/libcrypto.so.0.9.8b
3a11d43000-3a11d47000 rw-p 3a11d43000 00:00 0
3a12200000-3a12207000 r-xp 00000000 08:02 
3753412                        /usr/lib64/libkrb5support.so.0.1
3a12207000-3a12406000 ---p 00007000 08:02 
3753412                        /usr/lib64/libkrb5support.so.0.1
3a12406000-3a12407000 rw-p 00006000 08:02 
3753412                        /usr/lib64/libkrb5support.so.0.1
3a17000000-3a17002000 r-xp 00000000 08:02 
1432271                        /lib64/libutil-2.5.so
3a17002000-3a17201000 ---p 00002000 08:02 
1432271                        /lib64/libutil-2.5.so
3a17201000-3a17202000 r--p 00001000 08:02 
1432271                        /lib64/libutil-2.5.so
3a17202000-3a17203000 rw-p 00002000 08:02 
1432271                        /lib64/libutil-2.5.so
2aaaaaaab000-2aaaaaaac000 rw-p 2aaaaaaab000 00:00 0
2aaaaaacc000-2aaaaaad2000 rw-p 2aaaaaacc000 00:00 0
2aaaaaad2000-2aaaadfc7000 r--p 00000000 08:02 
3746568                    /usr/lib/locale/locale-archive
2aaaadfc7000-2aaaadfce000 r--s 00000000 08:02 
65411                      /usr/lib64/gconv/gconv-modules.cache
2aaaadfce000-2aaaadfcf000 rw-p 2aaaadfce000 00:00 0
2aaaadfcf000-2aaaadfef000 r-xp 00000000 08:02 
423480                     /usr/lib64/lftp/3.5.1/proto-ftp.so
2aaaadfef000-2aaaae1ee000 ---p 00020000 08:02 
423480                     /usr/lib64/lftp/3.5.1/proto-ftp.so
2aaaae1ee000-2aaaae1f0000 rw-p 0001f000 08:02 
423480                     /usr/lib64/lftp/3.5.1/proto-ftp.so
2aaaae1f0000-2aaaae20c000 r-xp 00000000 08:02 
423476                     /usr/lib64/lftp/3.5.1/liblftp-network.so
2aaaae20c000-2aaaae40b000 ---p 0001c000 08:02 
423476                     /usr/lib64/lftp/3.5.1/liblftp-network.so
2aaaae40b000-2aaaae40e000 rw-p 0001b000 08:02 
423476                     /usr/lib64/lftp/3.5.1/liblftp-network.so
2aaaae40e000-2aaaae41e000 rw-p 2aaaae40e000 00:00 0
2aaab0000000-2aaab0021000 rw-p 2aaab0000000 00:00 0
2aaab0021000-2aaab4000000 ---p 2aaab0021000 00:00 0
7fff3d95e000-7fff3d973000 rw-p 7fff3d95e000 00:00 0                      
[stack]
ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0                  
[vdso]
Aborted


===============  lftp-3.5.9-1 =============== 
$ rpm -q lftp
lftp-3.5.9-1
$ lftp
lftp :~> open ftp.ncbi.nih.gov:/genbank
cd ok, cwd=/genbank
lftp ftp.ncbi.nih.gov:/genbank> mget gbrel.txt *.gz
38971923821 bytes transferred in 16175 seconds (2.30M/s)
Total 1116 files transferred
lftp ftp.ncbi.nih.gov:/genbank>  

Cheers,

Philippe
Comment 16 James Hunt 2007-04-05 00:29:32 EDT
It's still a problem for me...

lftp ftp.kernel.org:/pub/linux/kernel/v2.6> get linux-2.6.20.4.tar.bz2
43373415 bytes transferred in 138 seconds (307.3K/s)                          
lftp ftp.kernel.org:/pub/linux/kernel/v2.6> exit
*** glibc detected *** lftp: free(): invalid pointer: 0x098d8018 ***
======= Backtrace: =========
/lib/libc.so.6[0x48d8a09d]
/lib/libc.so.6(cfree+0x90)[0x48d8d6f0]
/usr/lib/liblftp-tasks.so.0(_Z5xfreePv+0x28)[0x48ebcb58]
/usr/lib/liblftp-tasks.so.0(_ZN10FileAccess4PathD1Ev+0x25)[0x48eae5c5]
/usr/lib/liblftp-tasks.so.0(_ZN10FileAccessD2Ev+0xf7)[0x48eaf4c7]
/usr/lib/lftp/3.5.1/liblftp-network.so(_ZN9NetAccessD2Ev+0xd0)[0xf16b90]
/usr/lib/lftp/3.5.1/proto-ftp.so(_ZN3FtpD0Ev+0xe9)[0x14b3b9]
/usr/lib/liblftp-tasks.so.0(_ZN6SMTask14CollectGarbageEv+0x4d)[0x48eaacdd]
/usr/lib/liblftp-tasks.so.0(_ZN6SMTask7CleanupEv+0x17)[0x48eaad37]
lftp[0x804c44a]
/lib/libc.so.6(__libc_start_main+0xdc)[0x48d39f2c]
lftp[0x804b801]
======= Memory map: ========
0013c000-0015c000 r-xp 00000000 fd:03 7832697    /usr/lib/lftp/3.5.1/proto-ftp.so
0015c000-0015d000 rwxp 00020000 fd:03 7832697    /usr/lib/lftp/3.5.1/proto-ftp.so
0061a000-0061b000 r-xp 0061a000 00:00 0          [vdso]
00f0d000-00f27000 r-xp 00000000 fd:03 7832693   
/usr/lib/lftp/3.5.1/liblftp-network.so
00f27000-00f28000 rwxp 0001a000 fd:03 7832693   
/usr/lib/lftp/3.5.1/liblftp-network.so
00f28000-00f2d000 rwxp 00f28000 00:00 0 
08048000-08051000 r-xp 00000000 fd:03 4130154    /usr/bin/lftp
08051000-08057000 rwxp 00008000 fd:03 4130154    /usr/bin/lftp
098a3000-0996e000 rwxp 098a3000 00:00 0 
410e8000-4110d000 r-xp 00000000 fd:03 7606717    /usr/lib/libk5crypto.so.3.0
4110d000-4110e000 rwxp 00025000 fd:03 7606717    /usr/lib/libk5crypto.so.3.0
41110000-41117000 r-xp 00000000 fd:03 7605439    /usr/lib/libkrb5support.so.0.1
41117000-41118000 rwxp 00006000 fd:03 7605439    /usr/lib/libkrb5support.so.0.1
4111a000-41144000 r-xp 00000000 fd:03 7606934    /usr/lib/libgssapi_krb5.so.2.2
41144000-41145000 rwxp 00029000 fd:03 7606934    /usr/lib/libgssapi_krb5.so.2.2
411a0000-41226000 r-xp 00000000 fd:03 7606890    /usr/lib/libkrb5.so.3.2
41226000-41228000 rwxp 00086000 fd:03 7606890    /usr/lib/libkrb5.so.3.2
4122a000-4126b000 r-xp 00000000 fd:00 98349      /lib/libssl.so.0.9.8b
4126b000-4126f000 rwxp 00040000 fd:00 98349      /lib/libssl.so.0.9.8b
48d07000-48d20000 r-xp 00000000 fd:00 101073     /lib/ld-2.5.so
48d20000-48d21000 r-xp 00018000 fd:00 101073     /lib/ld-2.5.so
48d21000-48d22000 rwxp 00019000 fd:00 101073     /lib/ld-2.5.so
48d24000-48e5b000 r-xp 00000000 fd:00 101074     /lib/libc-2.5.so
48e5b000-48e5d000 r-xp 00137000 fd:00 101074     /lib/libc-2.5.so
48e5d000-48e5e000 rwxp 00139000 fd:00 101074     /lib/libc-2.5.so
48e5e000-48e61000 rwxp 48e5e000 00:00 0 
48e63000-48e88000 r-xp 00000000 fd:00 202642     /lib/libm-2.5.so
48e88000-48e89000 r-xp 00024000 fd:00 202642     /lib/libm-2.5.so
48e89000-48e8a000 rwxp 00025000 fd:00 202642     /lib/libm-2.5.so
48e8c000-48e8e000 r-xp 00000000 fd:00 202640     /lib/libdl-2.5.so
48e8e000-48e8f000 r-xp 00001000 fd:00 202640     /lib/libdl-2.5.so
48e8f000-48e90000 rwxp 00002000 fd:00 202640     /lib/libdl-2.5.so
48e92000-48ee5000 r-xp 00000000 fd:03 7606514    /usr/lib/liblftp-tasks.so.0.0.0
48ee5000-48ee8000 rwxp 00053000 fd:03 7606514    /usr/lib/liblftp-tasks.so.0.0.0
48ee8000-48eed000 rwxp 48ee8000 00:00 0 
48eef000-48f39000 r-xp 00000000 fd:03 7606505    /usr/lib/liblftp-jobs.so.0.0.0
48f39000-48f3e000 rwxp 00049000 fd:03 7606505    /usr/lib/liblftp-jobs.so.0.0.0
48f3e000-48f42000 rwxp 48f3e000 00:00 0 
48fb5000-48fc7000 r-xp 00000000 fd:03 7606181    /usr/lib/libz.so.1.2.3
48fc7000-48fc8000 rwxp 00011000 fd:03 7606181    /usr/lib/libz.so.1.2.3
49217000-49222000 r-xp 00000000 fd:00 202647     /lib/libgcc_s-4.1.1-20070105.so.1
49222000-49223000 rwxp 0000a000 fd:00 202647     /lib/libgcc_s-4.1.1-20070105.so.1
4923e000-4931e000 r-xp 00000000 fd:03 7606207    /usr/lib/libstdc++.so.6.0.8
4931e000-49321000 r-xp 000e0000 fd:03 7606207    /usr/lib/libstdc++.so.6.0.8
49321000-49323000 rwxp 000e3000 fd:03 7606207    /usr/lib/libstdc++.so.6.0.8
49323000-49329000 rwxp 49323000 00:00 0 
498fb000-4990a000 r-xp 00000000 fd:00 202652     /lib/libresolv-2.5.so
4990a000-4990b000 r-xp 0000e000 fdAborted (core dumped)
> gdb lftp core.29095 
GNU gdb Red Hat Linux (6.5-15.fc6rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".


warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/liblftp-jobs.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/liblftp-jobs.so.0
Reading symbols from /usr/lib/liblftp-tasks.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/liblftp-tasks.so.0
Reading symbols from /usr/lib/libreadline.so.5...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libreadline.so.5
Reading symbols from /lib/libutil.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /usr/lib/libncurses.so.5...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libncurses.so.5
Reading symbols from /lib/libresolv.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /usr/lib/libstdc++.so.6...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /usr/lib/lftp/3.5.1/proto-ftp.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/lftp/3.5.1/proto-ftp.so
Reading symbols from /usr/lib/lftp/3.5.1/liblftp-network.so...(no debugging
symbols found)...done.
Loaded symbols for /usr/lib/lftp/3.5.1/liblftp-network.so
Reading symbols from /lib/libssl.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libssl.so.6
Reading symbols from /lib/libcrypto.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libcrypto.so.6
Reading symbols from /usr/lib/libgssapi_krb5.so.2...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /usr/lib/libkrb5.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /lib/libcom_err.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /usr/lib/libk5crypto.so.3...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /usr/lib/libz.so.1...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /usr/lib/libkrb5support.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libkrb5support.so.0
(no debugging symbols found)
Core was generated by `lftp ftp.kernel.org'.
Program terminated with signal 6, Aborted.
#0  0x0061a402 in __kernel_vsyscall ()
(gdb) where
#0  0x0061a402 in __kernel_vsyscall ()
#1  0x48d4cd40 in raise () from /lib/libc.so.6
#2  0x48d4e591 in abort () from /lib/libc.so.6
#3  0x48d8233b in __libc_message () from /lib/libc.so.6
#4  0x48d8a09d in _int_free () from /lib/libc.so.6
#5  0x48d8d6f0 in free () from /lib/libc.so.6
#6  0x48ebcb58 in xfree () from /usr/lib/liblftp-tasks.so.0
#7  0x48eae5c5 in FileAccess::Path::~Path () from /usr/lib/liblftp-tasks.so.0
#8  0x48eaf4c7 in FileAccess::~FileAccess$base () from /usr/lib/liblftp-tasks.so.0
#9  0x00f16b90 in NetAccess::~NetAccess$base () from
/usr/lib/lftp/3.5.1/liblftp-network.so
#10 0x0014b3b9 in Ftp::~Ftp$delete () from /usr/lib/lftp/3.5.1/proto-ftp.so
#11 0x48eaacdd in SMTask::CollectGarbage () from /usr/lib/liblftp-tasks.so.0
#12 0x48eaad37 in SMTask::Cleanup () from /usr/lib/liblftp-tasks.so.0
#13 0x0804c44a in ResMgr::NoClosure ()
#14 0x48d39f2c in __libc_start_main () from /lib/libc.so.6
#15 0x0804b801 in ResMgr::NoClosure ()
(gdb) quit
> rpm -q lftp
lftp-3.5.1-2.fc6
> 
Comment 17 Philippe Rigault 2007-04-05 13:08:32 EDT
> It's still a problem for me...
Yes, your version (lftp-3.5.1-2.fc6) has the bug, it is fixed in lftp-3.5.9-1 
as noted above. Your problem is that lftp-3.5.9-1 is only in rawhide and is 
not released as a regular update, and therefore requires building from a 
source RPM.

Cheers
Comment 18 Maros Barabas 2007-04-11 02:44:10 EDT
Update for FC6 is pending and will be pushed soon. 
Comment 19 Fedora Update System 2007-04-12 15:12:57 EDT
lftp-3.5.9-0.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 20 Maros Barabas 2007-04-19 06:00:58 EDT
Now closing the bug, if problem still present let me know by reopening this bug.
Thanks

Note You need to log in before you can comment on or make changes to this bug.